#define __python /usr/bin/python26
%{!?python_sitelib: %global python_sitelib %(%{__python} -c "from distutils.sysconfig import get_python_lib; print get_python_lib()")}

%global srcname conf_d

Name:           python-%{srcname}
Version:        0.0.4
Release:        1%{?dist}
Summary:        read configuration files, conf.d style

Group:          Development/Languages
License:        MIT
URL:            http://pypi.python.org/pypi/conf_d
Source0:        http://pypi.python.org/packages/source/c/%{srcname}/%{srcname}-%{version}.tar.gz
BuildRoot:      %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)
BuildArch:      noarch

BuildRequires:  python-devel
BuildRequires:  python-setuptools

%description
Python module for reading configuration files in conf.d style.

%prep
%setup -q -n %{srcname}-%{version}

%build
%{__python} setup.py build

%install
rm -rf %{buildroot}
%{__python} setup.py install --skip-build --root %{buildroot}

%clean
rm -rf %{buildroot}

%files
%defattr(-,root,root,-)
%{python_sitelib}/%{srcname}
%{python_sitelib}/%{srcname}*.egg-info


%changelog
* Sat Oct 05 2013 Josko Plazonic <plazonic@math.princeton.edu>
- initial build
